Bug 1798827 - Monitoring Dashboards: Need to limit bar chart height
Summary: Monitoring Dashboards: Need to limit bar chart height
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-06 05:20 UTC by Andrew Pickering
Modified: 2020-05-04 11:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:34:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
cluster-total dashboard (306.72 KB, image/png)
2020-02-18 02:23 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4219 None closed Bug 1798827: Monitoring Dashboards: Limit bar chart height 2020-02-17 07:45:38 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:34:29 UTC

Description Andrew Pickering 2020-02-06 05:20:02 UTC
On the Monitoring Dashboards page, the height of the bar chart cards should be limited to stop them growing very large when there are lots of data series to display.

Comment 3 Yadan Pei 2020-02-17 10:07:12 UTC
Hi Andrew,

How can I get a bar chart? Tried to edit cm/grafana-dashboard-cluster-total and set lines: false and bars: true for some charts, but charts are still shown in lines

# oc get cm grafana-dashboard-cluster-total -n openshift-monitoring -o yaml | grep lines
                "lines": true,
                "lines": true,
                "lines": true,
                        "lines": true,
                        "lines": true,
                        "lines": true,
                        "lines": true,
                        "lines": true,
                        "lines": false,
# oc get cm grafana-dashboard-cluster-total -n openshift-monitoring -o yaml | grep bars
                "bars": false,
                "bars": true,
                        "bars": false,
                        "bars": false,
                        "bars": false,
                        "bars": false,
                        "bars": false,
                        "bars": true,

It looks like this bug is fixed for bar charts, so bar chart need to be enabled, right?

Comment 4 Andrew Pickering 2020-02-17 10:17:47 UTC
The `cluster-total` dashboard has bar charts (currently the only dashboard with bar charts), so you shouldn't need to edit the config. If you go to `/monitoring/dashboards/cluster-total` you should see them.

Comment 5 Yadan Pei 2020-02-18 02:23:30 UTC
Created attachment 1663640 [details]
cluster-total dashboard

Thank you very much Andrew


View cluster-total dashboard at /monitoring/dashboards/cluster-total


Bar chart height is limited and user can scroll down to view more data

Verified on     4.4.0-0.nightly-2020-02-17-030345

Comment 7 errata-xmlrpc 2020-05-04 11:34:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.